
-- leave me
	local actor = ACTOR_preload()
-- leave me

	-- default for this beastie
	actor[cp_actor_name]		= "motha-2"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "motha-2"

	actor[cp_actor_type]			= cat_motha
	actor[cp_move_type]			= cmt_random + cmt_anim_to_move

	actor[cp_hit_delay]				= 1.0
	actor[cp_mutate_hit_delay]		= 1.0

	actor[cp_score]				= 2000

	actor[cp_hit_power]			= 5.0
	-- movement
	actor[cp_move_speed_min]		= 1.0
	actor[cp_move_speed_max]		= 1.0
	actor[cp_move_acceleration]		= 0.9
	actor[cp_move_deceleration]		= 0.99
	actor[cp_move_inertia_accn]		= 0.9
	actor[cp_move_inertia_decn]		= 0.99

	actor[cp_target_stop_dist]		= 25.0

	actor[cp_turn_lock_angle_inner]		= 85.0
	actor[cp_turn_lock_angle_outer]		= 95.0
	actor[cp_turn_speed_still]		= 1.0
	actor[cp_turn_acceleration_still]	= 0.9
	actor[cp_turn_inertia_still]		= 0.9
	actor[cp_turn_speed_moving]		= 1.0
	actor[cp_turn_acceleration_moving]	= 0.9
	actor[cp_turn_inertia_moving]		= 0.9

	actor[cp_weight]				= 40.0

	actor[cp_random_edge_inner_percent]	= 10.0
	actor[cp_random_edge_outer_percent]	= 50.0

	actor[cp_num_spawn_min]			= 0.0
	actor[cp_num_spawn_max]			= 0.0
	actor[cp_scale_spawn_min]		= 35.0
	actor[cp_scale_spawn_max]		= 45.0

	actor[cp_health_percent]		= 200.0

	actor[cp_launch_hue_shift] = color + 120

 actor[cp_difficulty_adjust_speed] = 25.0
 actor[cp_difficulty_adjust_shoot] = 100.0


-- leave me
	c_preload_model( actor )
-- leave me

	local seq = { 0.0, 0.05, 0.1, 0.2, 0.35, 0.6 }
	c_set_use_explosion_for( "bye_bye", "motha-2", exp_no_align, 30.0, 0.3, 6000.0, 10000.0, seq )
	c_add_particle_to_explosion( "motha-2", "explode", "", "motha-2_exp" )
	c_add_sound_to_explosion( "motha-2", "explode", "motha-2_exp" )
	c_add_sound_to_event( "hit_active_bone", "ouch_1" )

	local seq = { 0.0 }
	c_set_use_explosion_for( "bye_bye_tail_x90", "motha-2", exp_no_align, 30.0, 0.0, 2000.0, 4000.0, { 0.6 } )
	c_set_use_explosion_for( "bye_bye_tail_x70", "motha-2", exp_no_align, 30.0, 0.0, 3000.0, 5000.0, { 0.3 } )
	c_set_use_explosion_for( "bye_bye_tail_x50", "motha-2", exp_no_align, 30.0, 0.0, 4000.0, 6000.0, { 0.1 } )
	c_set_use_explosion_for( "bye_bye_tail_x30", "motha-2", exp_no_align, 30.0, 0.0, 4000.0, 6000.0, { 0.5 } )
	c_set_use_explosion_for( "bye_bye_tail_x10", "motha-2", exp_no_align, 30.0, 0.0, 4000.0, 6000.0, { 0.0 } )

	c_set_use_anim_for( "move_forward", "swim", 70.0, 110.0 )
	c_add_sound_to_anim( "swim", "motha-2_swim" )
	c_add_particle_to_anim( "swim", "main", "motha-2_fart" )

	c_set_trigger_spawn( "motha-2_spawn", "swim", "main", 28.0, 0.05, 0.25, 0.0 )
	c_set_trigger_mutate( "motha-2_spawn", "my_health", 0.0, 0.0, 40, 40, 30.0, 40.0 )

--	local seq = { 0.0, 0.1, 0.3 }
--	c_set_use_explosion_for( "bye_bye", "exp2", exp_no_align, 100.0, 0.0, 1200.0, 1500.0, seq )
	-- default for this beastie

	-- new state
	-- set new actor stuff
	actor[cp_num_spawn_min]			= 10.0
	actor[cp_num_spawn_max]			= 15.0
	-- send out
	c_set_trigger_state( "less_beasties_active", "motha-2_spawn", 5.0, 10.0, actor )
	-- set new anims etc...
	c_set_use_anim_for( "move_forward", "swim", 70.0, 110.0 )
	-- new state

	-- new state
	-- set new actor stuff
	actor[cp_num_spawn_min]			= -5.0
	actor[cp_num_spawn_max]			= 10.0
	-- send out
	c_set_trigger_state( "more_beasties_active", "motha-2_spawn", 40.0, 50.0, actor )
	-- set new anims etc...
	c_set_use_anim_for( "move_forward", "swim", 70.0, 110.0 )
	-- new state

	-- new state
	-- set new actor stuff
	actor[cp_num_spawn_min]			= 0.0
	actor[cp_num_spawn_max]			= 0.0
	-- send out
	c_set_trigger_state( "more_beasties_active", "motha-2_spawn", 80.0, 90.0, actor )
	-- set new anims etc...
	c_set_use_anim_for( "move_forward", "swim2", 70.0, 110.0 )
	-- new state
